Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002515TestLinkUsers and Rightspublic2009-05-19 01:492014-04-06 14:04
Reportertomutiger 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.2 
Fixed in Version1.9.10 (2014 Q1 - bug fixing) 
Summary0002515: Auto Create User on Successful LDAP Authentication
DescriptionIt would be great if you had an option to autocreate an LDAP user when that user first successfully logins in.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0005031closedfman Automatically create user account at the first time of login if the account just exists on LDAP 

-  Notes
(0006937)
mhavlat (reporter)
2009-05-19 09:03

It makes sense for me.
(0006960)
schlundus (reporter)
2009-05-20 01:20

hm, in normal cases LDAP is the leading tool and not vice versa...
(0006963)
tomutiger (reporter)
2009-05-20 01:30

Example:
 User has an LDAP id
 User logs into Testlink for the first time
 User id authenticates LDAP successfully but no user id has been created in testlink
 the User is presented with a variation on the first login screen where they are able to verify the first name, last name, and email address extracted from LDAP and set the locale.
 Testlink creates the user id
 User is logged in and present with the default screen for a guest user. ( i assume guest user since they will not have any roles added yet.)

The idea here is to elminate the user having to fill out the First Login screen and making a mistake on entry. (Never underestimate the laziness of a corporate employee :) )
(0006970)
schlundus (reporter)
2009-05-20 11:50

Ah, i misunderstood your request. The explaination makes the things clear and menaingful. Maybe you should have better write your UseCase in the issue instead of a single line!
(0006978)
tomutiger (reporter)
2009-05-20 21:39

Agreed. I will write better requests in the future.
(0006983)
airajapaksha (reporter)
2009-05-21 01:59

The same scenario available in Bugzilla LDAP configuration. When a LDAP user logs in for the first time it creates a Bugzilla user account with a basic privileges. Nice feature to have both users and admins point of view. :-)
(0014322)
tino (reporter)
2011-03-28 11:58
edited on: 2011-03-28 14:48

is there any update or roadmap for this feature?
It is a pain to create each new user twice (LDAP and TestLink)?

Regards Tino

(0014325)
fman (administrator)
2011-03-28 14:49

not on roadmap
contributions are welcomed

- Issue History
Date Modified Username Field Change
2009-05-19 01:49 tomutiger New Issue
2009-05-19 09:03 mhavlat Note Added: 0006937
2009-05-20 01:20 schlundus Note Added: 0006960
2009-05-20 01:30 tomutiger Note Added: 0006963
2009-05-20 11:50 schlundus Note Added: 0006970
2009-05-20 21:39 tomutiger Note Added: 0006978
2009-05-21 01:59 airajapaksha Note Added: 0006983
2009-05-21 02:08 mhavlat Status new => acknowledged
2011-03-28 11:58 tino Note Added: 0014322
2011-03-28 14:48 fman Note Edited: 0014322 View Revisions
2011-03-28 14:49 fman Note Added: 0014325
2014-04-06 14:03 fman QA Team - Task Workflow Status => READY FOR TESTING
2014-04-06 14:03 fman Status acknowledged => closed
2014-04-06 14:03 fman Assigned To => fman
2014-04-06 14:03 fman Resolution open => fixed
2014-04-06 14:03 fman Fixed in Version => 1.9.10 (2014 Q1 - bug fixing)
2014-04-06 14:04 fman Relationship added related to 0005031



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker